// Lamp.h: interface for the CLamp class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LAMP_H__9121F243_C709_49DD_8F0D_F6E61B45ABCE__INCLUDED_)
#define AFX_LAMP_H__9121F243_C709_49DD_8F0D_F6E61B45ABCE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "switch.h"
#include "bulb.h"

class CLamp  
{
public:
	CLamp(CBulb* p, CSwitch* s); 
	virtual ~CLamp();

	void on();
	void off();
	void identify() const;
	int getpower() const;
	CBulb * change_bulb(CBulb * bp);
	
private:
	CBulb *b_ptr;
	CSwitch *sw_ptr;
};
#endif // !defined(AFX_LAMP_H__9121F243_C709_49DD_8F0D_F6E61B45ABCE__INCLUDED_)
